/*
 * Proyecto Final: Estructura de Datos
 * Diccionario
 * JACE - JDSM - ADUA - AAVJ
 */
package Vista;

import Controlador.dao.PersonaDao;
import java.awt.Component;
import javax.swing.JOptionPane;


public class FrmLogin extends javax.swing.JFrame {

    PersonaDao cuentaDao = new PersonaDao();
    FrmAdministrador AD = new FrmAdministrador();

    /**
     * Creates new form Bienvenido
     */
    public FrmLogin() {
        initComponents();
    }
    
    /**
     * Permite bloquear todos los componentes del registro de un administrador
     */
    public void bloquearGestion() {
        for (Component a : FrmAdministrador.pnlRegistro1.getComponents()) {
            a.setEnabled(false);
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        panelIniciarSesion = new javax.swing.JPanel();
        lblUsuario = new javax.swing.JLabel();
        lblContraseña = new javax.swing.JLabel();
        txtUsuario = new javax.swing.JTextField();
        btnIngresarUsuario = new javax.swing.JButton();
        btnRegistrarse = new javax.swing.JButton();
        lblTitulo = new javax.swing.JLabel();
        lblImagenIniciarSesion = new javax.swing.JLabel();
        txtContrasena = new javax.swing.JPasswordField();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        getContentPane().setLayout(null);

        panelIniciarSesion.setLayout(null);

        lblUsuario.setFont(new java.awt.Font("Tempus Sans ITC", 1, 11)); // NOI18N
        lblUsuario.setText("Usuario:");
        panelIniciarSesion.add(lblUsuario);
        lblUsuario.setBounds(40, 130, 60, 15);

        lblContraseña.setFont(new java.awt.Font("Tempus Sans ITC", 1, 11)); // NOI18N
        lblContraseña.setText("Contraseña:");
        panelIniciarSesion.add(lblContraseña);
        lblContraseña.setBounds(40, 180, 70, 15);

        txtUsuario.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        panelIniciarSesion.add(txtUsuario);
        txtUsuario.setBounds(120, 120, 160, 30);

        btnIngresarUsuario.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnIngresarUsuario.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Imagenes/enter.png"))); // NOI18N
        btnIngresarUsuario.setText("Ingresar");
        btnIngresarUsuario.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Ingresar(evt);
            }
        });
        panelIniciarSesion.add(btnIngresarUsuario);
        btnIngresarUsuario.setBounds(140, 220, 120, 33);

        btnRegistrarse.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnRegistrarse.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Imagenes/icono_registrarse.png"))); // NOI18N
        btnRegistrarse.setText("Registrarse");
        btnRegistrarse.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                RegistrarUsuario(evt);
            }
        });
        panelIniciarSesion.add(btnRegistrarse);
        btnRegistrarse.setBounds(140, 260, 120, 30);

        lblTitulo.setFont(new java.awt.Font("Tempus Sans ITC", 1, 24)); // NOI18N
        lblTitulo.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblTitulo.setText("INICIAR SESIÓN");
        panelIniciarSesion.add(lblTitulo);
        lblTitulo.setBounds(0, 10, 400, 30);

        lblImagenIniciarSesion.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblImagenIniciarSesion.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Imagenes/icono_usuario.png"))); // NOI18N
        panelIniciarSesion.add(lblImagenIniciarSesion);
        lblImagenIniciarSesion.setBounds(0, 40, 400, 70);
        panelIniciarSesion.add(txtContrasena);
        txtContrasena.setBounds(120, 170, 160, 30);

        getContentPane().add(panelIniciarSesion);
        panelIniciarSesion.setBounds(0, 0, 400, 300);

        setSize(new java.awt.Dimension(416, 339));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void Ingresar(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Ingresar
        if (txtUsuario.getText().trim().length() > 0 && txtContrasena.getText().trim().length() > 0) {
            String Pass = new String(txtContrasena.getPassword());
            if (cuentaDao.Autentificar(txtUsuario.getText(), Pass).equals("adminP")) {
                AD.setVisible(true);
                AD.cargarTablaAdmin();
                this.dispose();
                JOptionPane.showMessageDialog(this, "Bienvenid@ " + txtUsuario.getText());
                AD.lblNombreAdmin.setText(txtUsuario.getText());
            } else if (cuentaDao.Autentificar(txtUsuario.getText(), Pass).equals("admin")) {
                AD.setVisible(true);
                this.dispose();
                bloquearGestion();
                JOptionPane.showMessageDialog(this, "Bienvenid@ " + txtUsuario.getText());
                AD.lblNombreAdmin.setText(txtUsuario.getText());
            } else if (cuentaDao.Autentificar(txtUsuario.getText(), Pass).equals("user")) {
                FrmPrincipal.lblNombreUsuario.setText(txtUsuario.getText());
                FrmPrincipal.btnIniciarSesion.setVisible(false);
                FrmPrincipal.btnCerrarSesion.setVisible(true);
                JOptionPane.showMessageDialog(this, "Bienvenid@ " + txtUsuario.getText());
                this.dispose();
            } else {
                JOptionPane.showMessageDialog(this, "Usuario / Clave incorrecta", "Alerta", JOptionPane.WARNING_MESSAGE);
                txtUsuario.setText(null);
                txtContrasena.setText(null);
            }
        } else {
            JOptionPane.showMessageDialog(this, "Ingrese su cuenta", "Alerta", JOptionPane.WARNING_MESSAGE);
        }
    }//GEN-LAST:event_Ingresar

    private void RegistrarUsuario(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_RegistrarUsuario
        FrmRegistrarUsuario RU = new FrmRegistrarUsuario();
        RU.setVisible(true);
        this.dispose();
    }//GEN-LAST:event_RegistrarUsuario

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(FrmLogin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(FrmLogin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(FrmLogin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(FrmLogin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new FrmLogin().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnIngresarUsuario;
    private javax.swing.JButton btnRegistrarse;
    private javax.swing.JLabel lblContraseña;
    private javax.swing.JLabel lblImagenIniciarSesion;
    private javax.swing.JLabel lblTitulo;
    private javax.swing.JLabel lblUsuario;
    private javax.swing.JPanel panelIniciarSesion;
    private javax.swing.JPasswordField txtContrasena;
    private javax.swing.JTextField txtUsuario;
    // End of variables declaration//GEN-END:variables
}
